import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { defineComponent, openBlock, createElementBlock, createElementVNode as createBaseVNode } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { toRefs, unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _hoisted_1 = { class: "go-border-box" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = ["fill", "points"];
const _hoisted_4 = ["stroke", "points"];
const _hoisted_5 = ["stroke", "points"];
const _hoisted_6 = ["stroke", "points"];
const _hoisted_7 = ["stroke", "points"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { w, h } = toRefs(props.chartConfig.attr);
    const { colors, backgroundColor } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        (openBlock(), createElementBlock("svg", {
          class: "bv-border-svg-container",
          width: unref(w),
          height: unref(h)
        }, [
          createBaseVNode("polygon", {
            fill: unref(backgroundColor),
            points: `
        23, 23 ${unref(w) - 24}, 23 ${unref(w) - 24}, ${unref(h) - 24} 23, ${unref(h) - 24}
      `
          }, null, 8, _hoisted_3),
          createBaseVNode("polyline", {
            class: "go-border-line-1",
            stroke: unref(colors)[0],
            points: `4, 4 ${unref(w) - 22} ,4 ${unref(w) - 22}, ${unref(h) - 22} 4, ${unref(h) - 22} 4, 4`
          }, null, 8, _hoisted_4),
          createBaseVNode("polyline", {
            class: "go-border-line-3",
            stroke: unref(colors)[1],
            points: `10, 10 ${unref(w) - 16}, 10 ${unref(w) - 16}, ${unref(h) - 16} 10, ${unref(h) - 16} 10, 10`
          }, null, 8, _hoisted_5),
          createBaseVNode("polyline", {
            class: "go-border-line-3",
            stroke: unref(colors)[1],
            points: `16, 16 ${unref(w) - 10}, 16 ${unref(w) - 10}, ${unref(h) - 10} 16, ${unref(h) - 10} 16, 16`
          }, null, 8, _hoisted_6),
          createBaseVNode("polyline", {
            class: "go-border-line-3",
            stroke: unref(colors)[1],
            points: `22, 22 ${unref(w) - 4}, 22 ${unref(w) - 4}, ${unref(h) - 4} 22, ${unref(h) - 4} 22, 22`
          }, null, 8, _hoisted_7)
        ], 8, _hoisted_2))
      ]);
    };
  }
});
export {
  _sfc_main as default
};
